#ifndef __ABAC_KEY_H__
#define __ABAC_KEY_H__

#include "abac_defines.h"

#include <credentials/keys/private_key.h>

/* exported */
/* for abac_id */
extern private_key_t *abac_key_private_key(abac_key_t*);
extern chunk_t abac_key_chunk(abac_key_t *);
extern abac_key_t *abac_key_generate();
extern abac_key_t *abac_key_copy(abac_key_t *);
extern abac_key_t *abac_key_file_new(char *, chunk_t);
extern abac_key_t *abac_key_chunk_new(chunk_t, chunk_t);

#endif /* __ABAC_KEY_H__ */
